#include <bits/stdc++.h>
using namespace std;
string prvi,drugi,treci,maxx;
string kombinacije[100];
int main (){
    cin >> prvi >> drugi>>treci;
    kombinacije[1] = prvi+drugi+treci;
    kombinacije[2] = prvi+treci+drugi;
    kombinacije[3] = drugi+prvi+treci;
    kombinacije[4] = drugi+treci+prvi;
    kombinacije[5] = treci+prvi+drugi;
    kombinacije[6] = treci+drugi+prvi;
    for(int i = 1; i < 7; i++){
        maxx = max(maxx,kombinacije[i]);
    }
    cout<<maxx<<endl;
return 0;
}